const routes = [
	{
		icon: "el-icon-set-up",
		path: "/etl",
		name: "etl",
		title: "ETL任务",
		meta: { title: 'ETL任务' },
		component: () => import("../views/etl"),
	},
  {
		icon: "el-icon-document",
		path: "/record",
		name: "record",
    title: "ETL执行日志",
		meta: { title: 'ETL执行日志' },
    component: () => import("../views/record"),
  },
  {
		icon: "el-icon-coin",
		path: "/etlDB",
		name: "etlDB",
		title: "ETL数据库",
		meta: { title: 'ETL数据库' },
    component: () => import("../views/etlDB"),
  },
  {
		icon: "el-icon-price-tag",
		path: "/standard",
		name: "standard",
    title: "标准定义",
		meta: { title: '标准定义' },
    component: () => import("../views/standard"),
  },
	{
		icon: "el-icon-c-scale-to-original",
		path: "/field",
		name: "field",
		title: "字段列表",
		meta: { title: '字段列表' },
		component: () => import("../views/field"),
	},
	{
		icon: "el-icon-folder-opened",
		path: "/oneimport",
		name: "oneimport",
		title: "一维表导入",
		meta: { title: '一维表导入' },
		component: () => import("../views/oneimport"),
	},
];

export default routes;
